"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var square_calendar_common_1 = require("./square-calendar.common");
var SquareCalendar = (function (_super) {
    __extends(SquareCalendar, _super);
    function SquareCalendar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SquareCalendar.prototype.createNativeView = function () {
        var nextYear = java.util.Calendar.getInstance();
        nextYear.add(java.util.Calendar.YEAR, 1);
        var today = new java.util.Date();
        var CalendarPickerView = com.savvi.rangedatepicker.CalendarPickerView;
        this.calendarView = new CalendarPickerView(this._context, null);
        this.calendarView.init(today, nextYear.getTime())
            .inMode(CalendarPickerView.SelectionMode.RANGE)
            .withSelectedDate(new java.util.Date());
        return this.calendarView;
    };
    SquareCalendar.prototype.getSelectedValue = function () {
        return this.calendarView.getSelectedDates();
    };
    SquareCalendar.prototype.initNativeView = function () {
        _super.prototype.initNativeView.call(this);
        this._androidViewId = android.view.View.generateViewId();
        this.nativeView.setId(this._androidViewId);
    };
    return SquareCalendar;
}(square_calendar_common_1.Common));
exports.SquareCalendar = SquareCalendar;
//# sourceMappingURL=square-calendar.android.js.map